<?php
//*************************************************************
//
// Administration du Chat
//
// Projet      : Chaton
// Version     : 1.6.0
// Date        : 5 mai 2006
//
//*************************************************************

    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/langue.php");
    require_once( "inc/database.php");
    require_once( "inc/log.php");
    require_once( "inc/users.php");
    require_once( "inc/salons.php");
    require_once( "inc/meta.php");
    require_once( "inc/nocache.php");

    // Modle
    require_once( TEMPLATE_DIR . TEMPLATE . '/config.php');

    function TransformeDateHeure( $chaine) {
        $retour = '';
        if (strlen( $chaine) == 10) {
            $annee = substr( $chaine, 0, 2);
            $mois = substr( $chaine, 2, 2);
            $jour = substr( $chaine, 4, 2);
            $heure = substr( $chaine, 6, 2);
            $minute = substr( $chaine, 8, 2);
            $retour = "$jour/$mois/$annee $heure:$minute";
        }
        return $retour;
    }


    function TransformeMySqlDateHeure( $chaine) {
        // 2004-12-31 00:00:00
        $retour = '';
        if (strlen( $chaine) == 19) {
            $annee = substr( $chaine, 0, 4);
            $mois = substr( $chaine, 5, 2);
            $jour = substr( $chaine, 8, 2);
            $heure = substr( $chaine, 11, 2);
            $minute = substr( $chaine, 14, 2);
            $retour = "$jour/$mois/$annee $heure:$minute";
        }
        return $retour;
    }


    if (!isset($cmd)) $cmd = 'liste';

    chat_open();
    ChargeUtilisateur( $chat_cookie);

    if ($chat_priv >= PRIV_OPERATEUR) {
        if (!defined( "BASE_UTILISATEURS_EXTERNE") or (BASE_UTILISATEURS_EXTERNE == false)) {
            // Nombre total d'utilisateurs
            $nombre_total = 0;
            $requete = mysql_query( "SELECT count(id) FROM $table_base_utilisateur", $chat_base);
            if (($requete) and (mysql_num_rows($requete) == 1)) {
                $nombre_total = mysql_result( $requete, 0, 0);
                mysql_free_result( $requete);
            }
            // Nombre de modrateurs
            $nombre_moderateurs = 0;
            $requete = mysql_query( "SELECT count(id) FROM $table_base_utilisateur WHERE priv>=" . PRIV_ANIMATEUR , $chat_base);
            if (($requete) and (mysql_num_rows($requete) == 1)) {
                $nombre_moderateurs = mysql_result( $requete, 0, 0);
                mysql_free_result( $requete);
            }
            // Nombre d'utilisateurs actifs
            $nombre_actifs = 0;
            $requete = mysql_query( "SELECT count(id) FROM $table_base_utilisateur WHERE nb_cnx_chat>1" , $chat_base);
            if (($requete) and (mysql_num_rows($requete) == 1)) {
                $nombre_actifs = mysql_result( $requete, 0, 0);
                mysql_free_result( $requete);
            }
            // Nombre d'utilisateurs fantmes
            $nombre_fantomes = 0;
            $requete = mysql_query( "SELECT count(id) FROM $table_base_utilisateur WHERE nb_cnx_chat=0" , $chat_base);
            if (($requete) and (mysql_num_rows($requete) == 1)) {
                $nombre_fantomes = mysql_result( $requete, 0, 0);
                mysql_free_result( $requete);
            }
            // Nombre d'utilisateurs masculins
            $nombre_masculins = 0;
            $requete = mysql_query( "SELECT count(id) FROM $table_base_utilisateur WHERE sexe=1" , $chat_base);
            if (($requete) and (mysql_num_rows($requete) == 1)) {
                $nombre_masculins = mysql_result( $requete, 0, 0);
                mysql_free_result( $requete);
            }
            // Nombre d'utilisateurs fminins
            $nombre_feminins = 0;
            $requete = mysql_query( "SELECT count(id) FROM $table_base_utilisateur WHERE sexe=2" , $chat_base);
            if (($requete) and (mysql_num_rows($requete) == 1)) {
                $nombre_feminins = mysql_result( $requete, 0, 0);
                mysql_free_result( $requete);
            }
        }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title><?php echo( "$chat_copy $chat_version"); ?> - Administration du chat</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="<?php echo( TEMPLATE_DIR . TEMPLATE . '/'); ?>css/style.css" type="text/css">
<script language="Javascript">

function valider_suppression_utilisateur( chaine) {
    if(confirm("Etes-vous sr de vouloir supprimer dfinitivement l'utilisateur " + chaine + " ?")) {
        return true;
    } else {
        return false;
    }
}

function valider_suppression_salon( ) {
    if(confirm("Etes-vous sr de vouloir supprimer dfinitivement ce salon ?")) {
        return true;
    } else {
        return false;
    }
}

</script>
</head>

<body onLoad="window.focus();">
<table width="100%" border="0" cellspacing="0" cellpadding="4" align="center">
  <tr>
    <td class="titre"><?php echo( "$chat_copy $chat_version"); ?> - Administration
      du chat</td>
  </tr>
  <tr>
    <td><hr></td>
  </tr>
  <tr>
    <td> <table width="100%" border="0" cellpadding="2" cellspacing="0">
        <tr>
          <td colspan="5"><strong>Informations</strong></td>
        </tr>
        <?php if ($chat_priv == PRIV_ADMINISTRATEUR) { ?>
        <tr>
          <td>Etat du chat :</td>
          <td colspan="4"><strong><?php
            if (LireMeta( 'chat_actif', 'oui') == 'non') {
                echo( 'Inactif (<a href="admin_activer.php?valeur=oui">activer</a>)');
            } else {
                echo( 'Actif (<a href="admin_activer.php?valeur=non">d&eacute;sactiver</a>)');
            }
             ?></strong></td>
        </tr>
        <?php } ?>
        <tr>
          <td>Mod&egrave;le de design actuel :</td>
          <td colspan="4"><strong><?php echo( htmlentities( $chat_model['CUR_TEMPLATE_NAME'])); ?></strong></td>
        </tr>
        <tr>
          <td>Dossier :</td>
          <td colspan="4"><strong><?php echo( './' . TEMPLATE_DIR . TEMPLATE . '/'); ?></strong></td>
        </tr>
        <tr>
          <td>Authentification :</td>
          <td colspan="4"><strong><?php
            if (defined( "BASE_UTILISATEURS_EXTERNE") and (BASE_UTILISATEURS_EXTERNE == true)) {
                echo( 'par base ' . MODULE_UTILISATEURS_EXTERNE . ' (externe)');
            } else {
                echo( 'par base Chaton (interne)');
            }
           ?></strong></td>
        </tr>
        <tr>
          <td colspan="5">&nbsp;</td>
        </tr>
<?php
        if (!defined( "BASE_UTILISATEURS_EXTERNE") or (BASE_UTILISATEURS_EXTERNE == false)) {
?>
        <tr>
          <td colspan="5"><strong>Statistiques</strong></td>
        </tr>
        <tr>
          <td>Nombre total d'utilisateurs :</td>
          <td><strong><?php echo( $nombre_total); ?></strong></td>
          <td>&nbsp;</td>
          <td>Nombre d'utilisateurs &laquo;actifs&raquo; :</td>
          <td><strong><?php echo( $nombre_actifs); ?></strong></td>
        </tr>
        <tr>
          <td>Nombre de mod&eacute;rateurs :</td>
          <td><strong><?php echo( $nombre_moderateurs); ?></strong></td>
          <td>&nbsp;</td>
          <td>Nombre d'utilisateurs fant&ocirc;mes :</td>
          <td><strong><?php echo( $nombre_fantomes); ?></strong></td>
        </tr>
        <tr>
          <td>Nombre d'utilisateurs masculins :</td>
          <td><strong><?php echo( $nombre_masculins); ?></strong></td>
          <td>&nbsp;</td>
          <td>Nombre d'utilisateurs f&eacute;minins :</td>
          <td><strong><?php echo( $nombre_feminins); ?></strong></td>
        </tr>
        <tr>
          <td colspan="5">&nbsp;</td>
        </tr>
<?php
        }
?>
        <tr>
          <td colspan="5">
            <?php  if (!defined( "BASE_UTILISATEURS_EXTERNE") or (BASE_UTILISATEURS_EXTERNE == false)) {
                    if ($cmd == 'liste') { ?>
            <strong>Liste des utilisateurs</strong>
            <?php      } else { ?>
            <a href="admin.php?cmd=liste">Liste des utilisateurs</a>
            <?php      }
                } if ($cmd == 'ban') { ?>
            | <strong>Utilisateurs bannis</strong>
            <?php } else { ?>
            | <a href="admin.php?cmd=ban">Utilisateurs bannis</a>
            <?php  } if ($chat_priv == PRIV_ADMINISTRATEUR) {
                    if ($cmd == 'archive') { ?>
            | <strong>Salons archiv&eacute;s</strong>
            <?php      } else { ?>
            | <a href="admin.php?cmd=archive">Salons archiv&eacute;s</a>
            <?php      } if ($cmd == 'config') { ?>
            | <strong>Configuration</strong>
            <?php      } else { ?>
            | <a href="admin.php?cmd=config">Configuration</a>
            <?php      }
                } ?>
          </td>
        </tr>
        <?php
            if ( (!defined( "BASE_UTILISATEURS_EXTERNE") or (BASE_UTILISATEURS_EXTERNE == false)) and ($cmd == 'liste') ) {
?>
        <tr>
          <td colspan="5">Recherche par la premi&egrave;re lettre du pseudo :</td>
        </tr>
        <tr>
          <td colspan="5"><a href="admin.php?lettre=A">A</a>
            <?php for ($i=Ord( 'B'); $i<=Ord( 'Z'); $i++) echo( " | <a href=\"admin.php?lettre=" . Chr( $i) . "\">" . Chr( $i) . "</a>\n"); ?>
          </td>
        </tr>
        <?php if (isset($lettre)) { ?>
        <tr>
          <td colspan="5"> Recherche par la lettre <b><?php echo( $lettre); ?></b>
            :
            <?php
            // Nombre d'utilisateurs
            $nombre_liste = 0;
            if ($chat_lang == 1) {
                $date_cnx = "date_format(date_cnx,'%e %b %Y') as date_cnx";
            } else {
                $date_cnx = "date_cnx";
            }
            $requete = mysql_query( "SELECT id,login,nom,prenom,priv,nb_cnx_chat,$date_cnx FROM $table_base_utilisateur WHERE login LIKE '$lettre%'" , $chat_base);
            if (($requete) and (mysql_num_rows($requete) >= 1)) {
                echo( mysql_num_rows($requete) . " utilisateur");
                if (mysql_num_rows($requete) > 1) echo( "s");
                echo( "<table width=\"100%\" border=\"0\">");
                echo( "<tr class=\"row_first\"><td></td><td></td><td><b>Pseudo</b></td><td><b>Nom</b></td><td><b>Prenom</b></td><td><b>Rang</b></td><td><b>Nb cnx</b></td><td><b>Derni&egrave;re cnx</b></td></tr>");
                for ($i=0; $i<mysql_num_rows($requete); $i++) {
                    $user_id = mysql_result( $requete, $i, 'id');
                    $user_login = mysql_result( $requete, $i, 'login');
                    echo( "<tr class=\"row_" . ($i % 2 ? 'odd' : 'even') . "\">");
                    echo( "<td align=\"center\"><a href=\"admin_editer.php?user_id=$user_id&lettre=$lettre\"><img src=\"img/button_edit.png\" border=\"0\" alt=\"Editer\"></a></td>");
                    echo( "<td align=\"center\"><a href=\"admin_supprimer.php?user_id=$user_id&lettre=$lettre\" OnClick=\"return valider_suppression_utilisateur('$user_login');\"><img src=\"img/button_drop.png\" border=\"0\" alt=\"Supprimer\"></a></td>");
                    echo( "<td>$user_login</td>");
                    echo( "<td>" . mysql_result( $requete, $i, 'nom') . "</td>");
                    echo( "<td>" . mysql_result( $requete, $i, 'prenom') . "</td>");
                    echo( "<td>");
                    switch( mysql_result( $requete, $i, 'priv')) {
                        case PRIV_SANS_ACCES :
                            echo( "<i>Sans acc&egrave;s</i>");
                            break;
                        case PRIV_UTILISATEUR :
                            echo( "Utilisateur");
                            break;
                        case PRIV_ANIMATEUR :
                            echo( "Animateur");
                            break;
                        case PRIV_OPERATEUR :
                            echo( "Op&eacute;rateur");
                            break;
                        case PRIV_ADMINISTRATEUR :
                            echo( "Administrateur");
                            break;
                        default :
                            echo( "???");
                    }
                    echo( "</td>");
                    echo( "<td>" . mysql_result( $requete, $i, 'nb_cnx_chat') . "</td>");
                    echo( "<td>" . mysql_result( $requete, $i, 'date_cnx') . "</td>");
                    echo( "</tr>");
                }
                echo( "</table>");
                mysql_free_result( $requete);
            } else {
                echo( "Aucun r&eacute;sultat");
            }
            ?>
          </td>
        </tr>
        <?php } // $lettre ?>
        <?php
            } elseif ($cmd == 'ban') {

                // Utilisateurs bannis
                echo( '<tr><td colspan="5"><table width="100%" border="0" cellspacing="1" cellpadding="2">');
                $requete = mysql_query( "select pseudo,date_format(debut,'%e %b %Y %H:%i') as debut,date_format(fin,'%e %b %Y %H:%i') as fin,last_ip,qui from $table_ban_pseudo order by id");
                if ($requete) {
                    echo( "<tr class=\"row_first\"><td><b>Pseudo banni</b></td><td><b>Date de bannissement</b></td><td><b>Fin de la p&eacute;riode</b></td><td><b>Derni&egrave;re adresse</b></td><td><b>Banni par</b></td></tr>\n");
                    $numero_ligne = 0;
                    while ($row = mysql_fetch_array( $requete)) {
                        echo( "<tr class=\"row_" . ($numero_ligne++ % 2 ? 'odd' : 'even') . "\">\n");
                        echo( "<td>" . $row["pseudo"] . "</td>\n");
                        echo( "<td>" . $row["debut"] . "</td>\n");
                        echo( "<td>" . $row["fin"] . "</td>\n");
                        echo( "<td>" . $row["last_ip"] . "</td>\n");
                        echo( "<td>" . $row["qui"] . "</td>\n");
                        echo( "</tr>\n");
                    }
                    mysql_free_result( $requete);
                }
                echo( '</table><br></td></tr>');

                // Adresses IP bannies
                echo( '<tr><td colspan="5"><table width="100%" border="0" cellspacing="1" cellpadding="2">');
                $requete = mysql_query( "select ip,date_format(debut,'%e %b %Y %H:%i') as debut,date_format(fin,'%e %b %Y %H:%i') as fin,qui from $table_ban_ip order by id");
                if ($requete) {
                    echo( "<tr class=\"row_first\"><td><b>Adresse bannie</b></td><td><b>Date de bannissement</b></td><td><b>Fin de la p&eacute;riode</b></td><td><b>Banni par</b></td></tr>\n");
                    $numero_ligne = 0;
                    while ($row = mysql_fetch_array( $requete)) {
                        echo( "<tr class=\"row_" . ($numero_ligne++ % 2 ? 'odd' : 'even') . "\">\n");
                        echo( "<td>" . $row["ip"] . "</td>\n");
                        echo( "<td>" . $row["debut"] . "</td>\n");
                        echo( "<td>" . $row["fin"] . "</td>\n");
                        echo( "<td>" . $row["qui"] . "</td>\n");
                        echo( "</tr>\n");
                    }
                    mysql_free_result( $requete);
                }
                echo( '</table></td></tr>');

            } elseif ($cmd == 'archive') {

                if ($chat_priv == PRIV_ADMINISTRATEUR) {
                    echo( '<tr><td colspan="5"><table border="0" cellspacing="1" cellpadding="2">');
                    if (floatval(mysql_get_server_info( $chat_base)) < 3.23) {
                        $requete = mysql_query( "SHOW TABLES LIKE 'archive_%'");
                    } else {
                        $requete = mysql_query( "SHOW TABLE STATUS LIKE 'archive_%'");
                    }
                    if ($requete) {
                        echo( "<tr class=\"row_first\"><td></td><td></td><td><b>Ouverture du salon</b></td><td><b>Nombre de messages</b></td><td><b>Fermeture du salon</b></td></tr>\n");
                        $numero_ligne = 0;
                        while ($row = mysql_fetch_array( $requete)) {
                            $id_salon = substr( $row[0], 8);
                            echo( "<tr class=\"row_" . ($numero_ligne++ % 2 ? 'odd' : 'even') . "\">\n");
                            echo( "<td align=\"center\"><a href=\"admin_lister_salon.php?id_salon=$id_salon\" target=\"_blank\"><img src=\"img/button_select.png\" border=\"0\" alt=\"Editer\"></a></td>");
                            echo( "<td align=\"center\"><a href=\"admin_supprimer_salon.php?id_salon=$id_salon\" OnClick=\"return valider_suppression_salon();\"><img src=\"img/button_drop.png\" border=\"0\" alt=\"Supprimer\"></a></td>");
                            echo ( "<td>"); if (isset( $row['Create_time'])) echo( TransformeMySqlDateHeure( $row['Create_time'])); echo( "</td>\n");
                            echo ( "<td align=\"right\">"); if (isset( $row['Rows'])) echo( $row['Rows']); echo( "</td>\n");
                            echo( "<td>" . TransformeDateHeure( substr( $row[0], 8, 10)) . "</td>\n");
                            echo( "</tr>\n");
                        }
                        mysql_free_result( $requete);
                    }
                    echo( '<tr><td colspan="5">&nbsp;</td></tr>');
                    echo( '<tr><td colspan="5"><a href="admin_supprimer_salon.php?id_salon=' . client_uniqid() . '" OnClick="return valider_suppression_salon();">Supprimer tous les salons archiv&eacute;s</a></td></tr>');
                    echo( '</table></td></tr>');
                }

            } elseif ($cmd == 'config') {

                if ($chat_priv == PRIV_ADMINISTRATEUR) {
?>
        <tr><td colspan="5">
        <form action="admin_config.php" method="POST">
              <table width="100%" border="0" cellspacing="1" cellpadding="2">
                <tr align="center"> 
                  <td colspan="3">Pour modifier la configuration, vous devez avoir 
                    acc&egrave;s en &eacute;criture au fichier <strong>inc/chat.php</strong>. 
                  </td>
                </tr>
                <tr> 
                  <td align="right"> Nombre maximal de connect&eacute;s par salon 
                    :</td>
                  <td>&nbsp;</td>
                  <td><input name="max_salon" type="text" size="10" maxlength="3" value="<?php echo( MAX_SALON); ?>"></td>
                </tr>
                <tr> 
                  <td align="right">Nombre de caract&egrave;res maximum des messages 
                    :</td>
                  <td>&nbsp;</td>
                  <td><input name="max_taille_message" type="text" size="10" maxlength="5" value="<?php echo( MAX_TAILLE_MESSAGE); ?>"></td>
                </tr>
                <!--
                <tr> 
                  <td align="right">Largeur de la frame des utilisateurs (&agrave; 
                    gauche) :</td>
                  <td>&nbsp;</td>
                  <td><input name="largeur_bandeau_gauche" type="text" size="10" maxlength="4" value="<?php echo( LARGEUR_BANDEAU_GAUCHE); ?>"></td>
                </tr>
                <tr> 
                  <td align="right">Hauteur du bandeau en haut de la frame des 
                    utilisateurs (header.php) : </td>
                  <td>&nbsp;</td>
                  <td><input name="hauteur_bandeau_haut" type="text" size="10" maxlength="4" value="<?php echo( HAUTEUR_BANDEAU_HAUT); ?>"></td>
                </tr>
                <tr> 
                  <td align="right">Hauteur du bandeau en bas de la frame des 
                    utilisateurs (footer.php) :</td>
                  <td>&nbsp;</td>
                  <td><input name="hauteur_bandeau_bas" type="text" size="10" maxlength="4" value="<?php echo( HAUTEUR_BANDEAU_BAS); ?>"></td>
                </tr>
                -->
                <tr> 
                  <td align="right">Utiliser les &eacute;moticones d'humeur (n'invalide 
                    pas les smilies dans le chat) :</td>
                  <td>&nbsp;</td>
                  <td><input type="checkbox" name="icones_humeur" value="true"<?php if (ICONES_HUMEUR == true) echo( " checked"); ?>></td>
                </tr>
                <tr> 
                  <td align="right">Autoriser l'affichage d'images externes :</td>
                  <td>&nbsp;</td>
                  <td><input type="checkbox" name="detection_images" value="true"<?php if (DETECTION_IMAGES == true) echo( " checked"); ?>></td>
                </tr>
                <tr>
                  <td align="right">Autoriser l'affichage d'images aux utilisateurs 
                    NON-inscrits : </td>
                  <td>&nbsp;</td>
                  <td><input type="checkbox" name="autoriser_images_anonyme" value="true"<?php if (AUTORISER_IMAGES_ANONYME == true) echo( " checked"); ?>></td>
                </tr>
                <tr> 
                  <td align="right">Autoriser le changement de couleur aux utilisateurs 
                    NON-inscrits : </td>
                  <td>&nbsp;</td>
                  <td><input type="checkbox" name="autoriser_couleurs_anonyme" value="true"<?php if (AUTORISER_COULEURS_ANONYME == true) echo( " checked"); ?>></td>
                </tr>
                <tr> 
                  <td align="right">Afficher les salles vides :</td>
                  <td>&nbsp;</td>
                  <td><input type="checkbox" name="afficher_salles_vides" value="true"<?php if (AFFICHER_SALLES_VIDES == true) echo( " checked"); ?>></td>
                </tr>
                <tr> 
                  <td align="right">Archiver les discussions :</td>
                  <td>&nbsp;</td>
                  <td><input type="checkbox" name="archiver_discussions" value="true"<?php if (ARCHIVER_DISCUSSIONS == true) echo( " checked"); ?>></td>
                </tr>
                <tr> 
                  <td align="right">Censurer les discussions (voir <b>inc/censure.php</b>) 
                    :</td>
                  <td>&nbsp;</td>
                  <td><input type="checkbox" name="censurer" value="true"<?php if (CENSURER == true) echo( " checked"); ?>></td>
                </tr>
                <tr> 
                  <td align="right">Anti-flooding (consomme des ressources MySQL suppl&eacute;mentaires) 
                    :</td>
                  <td>&nbsp;</td>
                  <td><input type="checkbox" name="anti_flooding" value="true"<?php if (ANTI_FLOODING == true) echo( " checked"); ?>></td>
                </tr>
                <tr> 
                  <td align="right">L'utilisateur peut choisir la langue du Chat 
                    :</td>
                  <td>&nbsp;</td>
                  <td><input type="checkbox" name="multilangue" value="true"<?php if (MULTILANGUE == true) echo( " checked"); ?>></td>
                </tr>
                <tr> 
                  <td align="right">Langue par d&eacute;faut :</td>
                  <td>&nbsp;</td>
                  <td><select name="langue_par_defaut">
                      <?php
                        foreach( $langues_dispo as $langue => $nom) {
                            echo( "<option value=\"" . $langue . "\"");
                            if (LANGUE_PAR_DEFAUT == $langue) echo( " selected");
                            echo( ">" . $nom . "</option>\n");
                        }
                      ?>
                    </select></td>
                </tr>
                <tr> 
                  <td align="right">Rafra&icirc;chissement des pages (en secondes) 
                    :</td>
                  <td>&nbsp;</td>
                  <td><input name="nouveau_taux_rafraichissement" type="text" size="10" maxlength="2" value="<?php echo( $taux_rafraichissement); ?>"> 
                  </td>
                </tr>
                <tr> 
                  <td align="right">D&eacute;lai avant de consid&eacute;rer l'utilisateur 
                    comme inactif (en minutes) :</td>
                  <td>&nbsp;</td>
                  <td><input name="temps_inactivite" type="text" size="10" maxlength="2" value="<?php echo( TEMPS_INACTIVITE); ?>"> 
                  </td>
                </tr>
                <tr> 
                  <td align="right">Mot de passe op&eacute;rateur :</td>
                  <td>&nbsp;</td>
                  <td><input name="nouveau_mot_de_passe_admin" type="password" size="10" maxlength="20" value="          "> 
                  </td>
                </tr>
                <tr align="center"> 
                  <td colspan="3"> <input type="submit" value="Valider la configuration"></td>
                </tr>
              </table>
        </form>
        </td></tr>
        <?php
                }
            }
?>
      </table></td>
  </tr>
  <tr>
    <td><hr></td>
  </tr>
  <tr>
    <td align="right"> <a href="javascript:window.close();">Fermer la fen&ecirc;tre</a>
    </td>
  </tr>
</table>
</body>
</html>
<?php
    }
    chat_close();
?>
