<?php
//*************************************************************
//
// Activation / dsactivation d'un robot
//
// Projet      : Chaton
// Version     : 1.6.0
// Date        : 5 mai 2006
//
//*************************************************************

    if ($chat_priv >= PRIV_OPERATEUR) {
        $nom_robot = ucfirst( ValideNom( $parametre));
        if ($nom_robot) {
            $uid_robot = AjouteUtilisateur( '', $nom_robot, PRIV_ROBOT, $remote_addr, $chat_lang, 0, true, $chat_uid);
            if ($uid_robot > 0) {
                list ($sid_robot, $uid_proprio) = AjouteSalon( $chat_salon, $uid_robot);
                if ($sid_robot > 0) {
                    DansLeSalon( $uid_robot, $sid_robot, $chat_salon);
                    // Insert l'entree dans le salon
                    AnnoncePrivee( $chat_sid, $chat_login, "Activation du robot $nom_robot");

                    // Salle publique = Recupere le vrai nom
                    $nomsalle = NomSalonPublic( $chat_salon);
                    if ($nomsalle == '') $nomsalle = $chat_salon;

                    // Message public
                    if (defined( "AUTORISER_PLUSIEURS_SALONS") and (AUTORISER_PLUSIEURS_SALONS == true)) {
                        EntreeSortie( $sid_robot, $nom_robot, "<msg#rentre> $nomsalle");
                    } else {
                        EntreeSortie( $sid_robot, $nom_robot, "<msg#rentre_defaut>");
                    }

                    mysql_journal( $chat_base, "Activation du robot $nom_robot par $chat_login");

                    // Mise  jour des donnes
                    if (!defined("BASE_UTILISATEURS_EXTERNE") or (BASE_UTILISATEURS_EXTERNE == false)) {
                        $requete_maj = mysql_query( "UPDATE $table_base_utilisateur SET nb_cnx_chat=nb_cnx_chat+1,date_cnx='" . date( 'Y-m-d H:i:s') . "',last_ip='$remote_addr',last_browser='" . $_SERVER['HTTP_USER_AGENT'] . "' WHERE login='$nom_robot' LIMIT 1", $chat_base);
                    }
                 } else {
                    EnleveUtilisateur( $uid_robot, true);
                    AnnoncePrivee( $chat_sid, $chat_login, "Activation du robot impossible !");
                 }

            } else {
                list ($uid_robot, $sid_robot) = idUtilisateur( $nom_robot, true);
                if ($uid_robot) {
                    EnleveUtilisateur( $uid_robot, true);
                    EnleveSalon( $sid_robot);
                    // Message
                    AnnoncePrivee( $chat_sid, $chat_login, "D&eacute;sactivation du robot $nom_robot");
                    if (defined( "AUTORISER_PLUSIEURS_SALONS") and (AUTORISER_PLUSIEURS_SALONS == true)) {
                        EntreeSortie( $sid_robot, $nom_robot, "<msg#quitte>");
                    } else {
                        EntreeSortie( $sid_robot, $nom_robot, "<msg#quitte_defaut>");
                    }

                    mysql_journal( $chat_base, "Desactivation du robot $nom_robot par $chat_login");
                } else {
                    AnnoncePrivee( $chat_sid, $chat_login, "Robot $nom_robot non trouv&eacute; !");
                }
            }
        }
    }
?>