<?php
//*************************************************************
//
// Affichage des Frames du Chat & Fonctions JavaScript
//
// Projet      : Chaton
// Version     : 1.6.3
// Date        : 8 avril 2007
//
//*************************************************************

    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/langue.php");
    require_once( "inc/browser_detection.php");

    $navigateur = browser_detection('full');

    // Tests du navigateur
    $frame_src = false;
    $frame_refresh = true;
    if ($navigateur[0] == 'ns4') {
        $frame_src = true;
    }
    if ($navigateur[0] == 'op') {
        $frame_refresh = false;
        $frame_src = true;
    }

    // Charge le module de langue associ au script courant
    if (file_exists( "lang/$lang/frame.php")) {
        include( "lang/$lang/frame.php");
    }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN">
<html>
<head>
<!-- <?php echo( "$chat_copy $chat_version - " . $navigateur[0] . " " . $navigateur[1] ); ?> Copyright GoUaRfIg! -->
<title><?php echo( NOM_CHAT); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo( CHARSET); ?>">
<script type="text/javascript" language="JavaScript1.1">
<!--

var frame_ok = 0;

function initialise() {
    frame_ok = 1;
    mainFrame.document.writeln( "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">");
    mainFrame.document.writeln( "<html><head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=<?php echo( CHARSET); ?>\">");
    mainFrame.document.writeln( "<link rel=\"stylesheet\" href=\"<?php echo( TEMPLATE_DIR . TEMPLATE . '/css/style_chat.css'); ?>\" type=\"text/css\"></head><body>");
    mainFrame.document.writeln( "<?php echo( $langue_frame["bienvenue"]); ?><br>");
}

function afficher( chaine) {
    if (frame_ok == 0) initialise();
    mainFrame.document.writeln( chaine);
}

function effacer() {
    frame_ok = 0;
    mainFrame.document.close();
    initialise();
}

function pseudo( chaine) {
    editFrame.document.poster.to.value = chaine;
    editFrame.window.focus();
    editFrame.document.poster.message.focus();
}

function smiley( chaine) {
    editFrame.document.poster.message.value = editFrame.document.poster.message.value + ' ' + chaine + ' ';
}

function couleur( chaine) {
    editFrame.document.poster.message.value = '/couleur ' + chaine;
    editFrame.document.poster.submit();
}

function aide( chaine) {
    editFrame.document.poster.message.value = chaine + ' ';
}

function popup_aide( lang) {
    if (lang == 'fr') {
        helpfile = "aide.php";
    } else {
        helpfile = "help.php";
    }
    window.open(helpfile,"aide","toolbar=no,scrollbars=yes,height=500,width=600");
}

function popup_whois( lang, pseudo) {
    window.open("whois.php?login="+pseudo+"&lang=" + lang,"whois","toolbar=no,scrollbars=yes,height=470,width=600");
}

function popup_smilies( lang) {
    window.open("smilies.php?lang=" + lang,"smilies","toolbar=no,scrollbars=yes,height=400,width=500");
}

function popup_colors( lang, color) {
    window.open("colors.php?lang=" + lang + "&color=" + color,"couleurs","toolbar=no,scrollbars=yes,height=400,width=340");
}

function popup_anim( lang) {
    window.open("animateurs.php?lang=" + lang,"anim","toolbar=no,scrollbars=yes,height=400,width=400");
}

function popup_ban_pseudo( lang) {
    window.open("ban_pseudo.php?lang=" + lang,"ban_pseudo","toolbar=no,scrollbars=yes,height=400,width=550");
}

function popup_ban_ip( lang) {
    window.open("ban_ip.php?lang=" + lang,"ban_ip","toolbar=no,scrollbars=yes,height=400,width=550");
}

function popup_admin() {
    window.open("admin.php","admin","toolbar=no,scrollbars=yes,height=450,width=600");
}

function refresh() {
    userFrame.location.replace("user.php");
}

function panique() {
    window.open("panic/","panic","toolbar=no,directories=no,status=no,menubar=no,location=no,scrollbars=no,resizable=yes,left=0,top=0,height=" + (screen.availHeight-30) + ",width=" + (screen.availWidth-10));
}

// -->
</script>
<noscript>
<br>
If you see this message it means that your browser doesn't support Javascript or it is disabled.<br>
Please enable JavaScript in your browser settings for proper chat functionality.<br>
<a href="sortie.php">Clic here to continue</a><br>
</noscript>
</head>

<?php
    include( TEMPLATE_DIR . TEMPLATE . '/frame.php');
?>

</html>