<?php
//*************************************************************
//
// Gestion de la scurit
//
// Projet      : Chaton
// Version     : 1.5.2
// Date        : 21 Dcembre 2005
//
//*************************************************************

    // Tente de rcuprer l'adresse relle  partir d'une adresse Proxy
    function GetIPByProxy( $adresse) {
        $clientip = explode( ',', $adresse);
        if ($clientip[0] != 'unknown') {
            return( $clientip[0]);
        } else {
            return( '');
        }
    }

    // Numro unique par client
    function client_uniqid() {
        return md5($_SERVER['REMOTE_ADDR'] . $_SERVER['HTTP_USER_AGENT']);
    }

    // Test si une adresse IP appartient  un rseau
    function IP_Match($network, $ip) {
       $ip_arr = explode("/",$network);
       $network_long=ip2long($ip_arr[0]);
    
       $mask_long= pow(2,32)-pow(2,(32-$ip_arr[1]));
       $ip_long=ip2long($ip);
      
       if (($ip_long & $mask_long) == $network_long) {
           return 1;
       } else {
           return 0;
       }
    }

    // Scurit des variables d'url
    if (strtoupper($_SERVER["REQUEST_METHOD"]) == "POST") {
        foreach($_POST as $variable => $valeur) {
            global $$variable;
            if (get_magic_quotes_gpc()) $valeur = StripSlashes( $valeur);
            // $valeur = htmlentities( $valeur, ENT_QUOTES);
            $$variable = $valeur;
            $_POST[$variable] = $valeur;
        }
    } else if (strtoupper($_SERVER["REQUEST_METHOD"]) == "GET") {
        foreach($_GET as $variable => $valeur) {
            global $$variable;
            if (get_magic_quotes_gpc()) $valeur = StripSlashes( $valeur);
            // $valeur = htmlentities( $valeur, ENT_QUOTES);
            $$variable = $valeur;
            $_GET[$variable] = $valeur;
        }
    }

    // Scurit de la session
    $chat_uid = 0;
    $chat_login = '';
    $chat_hide = 0;
    $chat_sid = 0;
    $chat_salon = '';
    $chat_priv = 0;
    $chat_proprietaire = 0;
    $chat_deconnexion = 0;
    $chat_cookie = '';
    $chat_couleur = NULL;
    $chat_flags = 0;

    // Cookie de session
    if( isset( $_COOKIE["CHATON_SESSID"])) $chat_cookie = $_COOKIE["CHATON_SESSID"];

    // Dtermination de l'adresse IP du client
    if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        $remote_addr = GetIPByProxy( $_SERVER['HTTP_X_FORWARDED_FOR']);
    } elseif (isset($_SERVER['HTTP_CLIENT_IP'])) {
        $remote_addr = GetIPByProxy( $_SERVER['HTTP_CLIENT_IP']);
    }
    if (!isset($remote_addr)) {
        $remote_addr = $_SERVER['REMOTE_ADDR'];
    } elseif ((IP_Match( '10.0.0.0/8', $remote_addr))
           or (IP_Match( '172.16.0.0/12', $remote_addr))
           or (IP_Match( '192.168.0.0/16', $remote_addr))
           or (IP_Match( '127.0.0.0/8', $remote_addr))) {
        // Adressage priv
        $remote_addr = $_SERVER['REMOTE_ADDR'];
    }
?>
